import fs from 'fs';
import { resolve } from 'path';
export default function viteCNAMEPlugin({ dir = 'src' }) {
  return {
    name: 'viteDTSPlugin',
    writeBundle() {
      const outDir = resolve('dist');
      const fileDir = resolve(dir);
      if (!fs.existsSync(outDir)) {
        fs.mkdirSync(outDir);
      }
      const files = fs.readdirSync(fileDir);
      files.forEach((file) => {
        if (file.indexOf('.d.ts') > 0) {
          const src = resolve(fileDir, file);
          const dest = resolve(outDir, file);
          console.log(src, dest);

          fs.copyFile(src, dest, (err) => {
            console.log(err, 'err');
          });
        }
      });
    }
  };
}
